@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700;800;900&display=swap');

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Inter',sans-serif;
}

body{
    background:#000;
    color:white;
    overflow-x:hidden;
}

/* NAVBAR */

header{
    position:fixed;
    top:0;
    width:100%;
    z-index:1000;
    backdrop-filter:blur(10px);
    border-bottom:1px solid rgba(255,255,255,.08);
}

.navbar{
    max-width:1200px;
    margin:auto;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:22px 20px;
}

.logo{
    display:flex;
    align-items:center;
    gap:12px;
    font-size:28px;
    font-weight:800;
}

.logo img{
    width:50px;
    height:50px;
    object-fit:contain;
    filter: drop-shadow(0 0 10px rgba(255,255,255,.4));
}

.nav-links{
    display:flex;
    gap:40px;
    list-style:none;
}

.nav-links a{
    text-decoration:none;
    color:white;
    font-weight:500;
    transition:.3s;
}

.nav-links a:hover{
    color: #9d4edd;
}

.call-btn{
    background:#7b2cbf;
    color:white;
    border:none;
    padding:14px 24px;
    border-radius:12px;
    cursor:pointer;
    font-weight:600;
    transition:.3s;
}

.call-btn:hover{
    background:#9333ea;
}

/* HERO */

.hero{
    min-height:100vh;
    display:flex;
    justify-content:center;
    align-items:center;
    position:relative;
    text-align:center;
    padding:120px 20px;
}

.hero-content{
    position:relative;
    z-index:2;
}

.hero h1{
    font-size:clamp(3rem,7vw,6rem);
    font-weight:800;
    line-height:1.1;
    max-width:1100px;
}

.hero p{
    margin-top:25px;
    color:#bdbdbd;
    font-size:1.2rem;
}

.buttons{
    display:flex;
    justify-content:center;
    gap:15px;
    margin-top:40px;
    flex-wrap:wrap;
}

.btn-primary,
.btn-secondary{
    text-decoration:none;
    color:white;
    padding:15px 28px;
    border-radius:12px;
    font-weight:600;
    transition:.3s;
}

.btn-primary{
    background:rgba(255,255,255,.05);
    border:1px solid rgba(255,255,255,.1);
}

.btn-secondary{
    border:1px solid rgba(255,255,255,.15);
}

.btn-primary:hover,
.btn-secondary:hover{
    transform:translateY(-3px);
}

/* LOGO BORRADA */

.blur-logo{
    position:absolute;
    z-index:1;
    opacity:.20;
}

.blur-logo img{
    width:700px;
    filter:blur(3px);
}

/* ESTRELAS */

#particles{
    position:fixed;
    width:100%;
    height:100%;
    top:0;
    left:0;
    z-index:0;
}
/* PLANOS */

.plans{
    max-width:1200px;
    margin:0 auto;
    padding:120px 20px;
    position:relative;
    z-index:2;
}

.section-title{
    text-align:center;
    margin-bottom:60px;
}

.section-title h2{
    font-size:3rem;
    font-weight:800;
}

.section-title p{
    color:#bdbdbd;
    margin-top:10px;
}

.plans-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(320px,1fr));
    gap:25px;
}

.plan-card{
    background:rgba(255,255,255,.03);
    border:1px solid rgba(255,255,255,.08);
    box-shadow:0 0 30px rgba(147,51,234,.35);
    border-radius:24px;
    padding:35px;
    transition:.3s;
    backdrop-filter:blur(10px);
}

.plan-card:hover{
    transform:translateY(-10px);
    border-color:#7b2cbf;
}

.featured{
    border:1px solid rgba(255,255,255,.08);
    box-shadow:0 0 30px rgba(147,51,234,.35);
}

.plan-number{
    display:inline-block;
    padding:10px 16px;
    border-radius:12px;
    background:rgba(255,255,255,.05);
    margin-bottom:25px;
    font-weight:700;
}

.plan-card h3{
    font-size:2rem;
    margin-bottom:15px;
    text-align: center;
}

.plan-desc{
    color:#bdbdbd;
    margin-bottom:40px;
    text-align: center;
}

.plan-card ul{
    list-style:none;
    display:flex;
    flex-direction:column;
    gap:12px;
}

.plan-card ul li{
    color:#e5e5e5;
}

.plan-card button{
    width:100%;
    margin-top:30px;
    padding:15px;
    border:none;
    border-radius:12px;
    background:#7b2cbf;
    color:white;
    font-weight:600;
    cursor:pointer;
    transition:.3s;
}

.plan-card button:hover{
    background:#9333ea;
}

.plans{
    max-width:1200px;
    margin:0 auto;
    padding:150px 20px;
    position:relative;
    z-index:2;
}

/* img planos */

.plan-icon1{
    width:100px;
    height:100px;
    display:block;
    margin:0 auto 25px;
    object-fit:contain;
    filter:drop-shadow(0 0 12px rgba(255,255,255,.35));
}

.plan-icon2{
    width:70px;
    height:70px;
    display:block;
    margin:0 auto 55px;
    object-fit:contain;
    filter:drop-shadow(0 0 12px rgba(255,255,255,.35));
}

.plan-icon3{
    width:70px;
    height:70px;
    display:block;
    margin:0 auto 55px;
    object-fit:contain;
    filter:drop-shadow(0 0 12px rgba(255,255,255,.35));
}

/* botão saiba mais (planos) */
html {
    scroll-behavior: smooth;
}

 /* clientes */

.clients{
    position: relative;
    z-index: 2;

    max-width: 1200px;

      height: 120px;


    margin: 40px auto 20px auto;

    padding: 15px 30px;

    background: rgba(255,255,255,.03);

    border: 1px solid rgba(255,255,255,.08);

    border-radius: 24px;

    box-shadow:
        0 0 20px rgba(147,51,234,.20),
        0 0 40px rgba(147,51,234,.10);

    overflow: hidden;
}

.clients-title{
    text-align: center;

    color: #8f8f8f;

    font-size: .85rem;

    font-weight: 600;

    letter-spacing: 2px;

    text-transform: uppercase;

    margin-bottom: 12px;
}

.clients-logos{
    display: flex;

    justify-content: center;

    align-items: center;
}

.clients-logos img{
    max-width: 220px;

    max-height: 160px;

    object-fit: contain;

    opacity: .85;

    transition: .3s;
    height: 150px;

   display:flex;
    justify-content:center;
    align-items:center;

    margin-top:-40px;

}

.clients-logos img:hover{
    opacity: 1;

    transform: scale(1.05);
}

/* FUNCIONALIDADES */

.features{
    max-width:1200px;
    margin:120px auto;
    padding:0 20px;
    position:relative;
    z-index:2;
}

.features-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(320px,1fr));
    gap:25px;
}

.feature-card{
    background:rgba(255,255,255,.03);
    border:1px solid rgba(255,255,255,.08);
    border-radius:24px;
    padding:35px;
    text-align:center;

    box-shadow:
        0 0 15px rgba(123,44,191,.25),
        0 0 35px rgba(123,44,191,.15);

    transition:.35s;
}

.feature-card:hover{
    transform:translateY(-10px);
    border-color:#7b2cbf;

    box-shadow:
        0 0 25px rgba(123,44,191,.45),
        0 0 60px rgba(123,44,191,.25);
}

.feature-card i{
    font-size:3rem;
    color:#9333ea;
    margin-bottom:20px;
}

.feature-card h3{
    font-size:1.5rem;
    margin-bottom:15px;
}

.feature-card p{
    color:#bdbdbd;
    line-height:1.6;

}


/* ===== MOBILE ===== */
@media (max-width:768px){

    .nav-links{
        display:none;
    }

    .call-btn{
        display:none;
    }

    .navbar{
        justify-content:center;
        padding:20px;
    }

    .logo{
        font-size:36px;
        font-weight:900;
        gap:15px;
    }

    .logo img{
        width:45px;
        height:45px;
    }

    /* Título principal */
    .hero h1{
        font-size:1.9rem;
        line-height:1.2;
        max-width:320px;
        margin:0 auto;
    }

    /* Texto */
    .hero p{
        max-width:90%;
        margin:30px auto 0;
        font-size:1.2rem;
    }

    /* Logo de fundo */
    .blur-logo{
        top:-40px;
    }

    .blur-logo img{
        width:320px;
        opacity:.25;
    }

    /* Botões */
    .buttons{
        margin-top:50px;
    }



.mobile-logo{
    display:none;
}

    .mobile-logo{
        display:block;
        text-align:center;
        margin-bottom:30px;
    }

    .mobile-logo img{
    width:260px;
    opacity:.85;
    filter:drop-shadow(0 0 20px rgba(255,255,255,.4));
}

    .hero h1{
        margin-top:20px;
    }

    .hero p{
        margin-top:30px;
    }

    .buttons{
        margin-top:50px;
        }
    


    /* Navbar */
    .navbar{
        flex-direction: column;
        gap: 20px;
        padding: 20px;
    }

    .nav-links{
        flex-direction: column;
        gap: 15px;
        text-align: center;
    }

    .call-btn{
        width: 100%;
        max-width: 250px;
    }

    /* Hero */
    .hero{
        padding: 180px 20px 80px;
    }

    .hero h1{
        font-size: 2.5rem;
    }

    .hero p{
        font-size: 1rem;
    }

    .buttons{
        flex-direction: column;
        align-items: center;
    }

    .btn-primary,
    .btn-secondary{
        width: 100%;
        max-width: 300px;
        text-align: center;
    }

    /* Logo desfocada */
    .blur-logo img{
        width: 300px;
    }

    /* Clientes */
    .clients{
        height: auto;
        padding: 20px;
    }

    .clients-logos img{
        width: 100%;
        max-width: 180px;
        height: auto;
        margin-top: 0;
    }

    /* Títulos */
    .section-title h2{
        font-size: 2rem;
    }

    /* Planos */
    .plans-grid{
        grid-template-columns: 1fr;
    }

    .plan-card{
        padding: 25px;
    }

    .plan-card h3{
        font-size: 1.6rem;
    }

    /* Funcionalidades */
    .features-grid{
        grid-template-columns: 1fr;
    }

    .feature-card{
        padding: 25px;
    }




    .logo{
        font-size: 22px;
    }

    .logo img{
        width: 40px;
        height: 40px;
    }

    .hero h1{
        font-size: 2rem;
    }

    .hero p{
        font-size: .95rem;
    }

    .section-title h2{
        font-size: 1.7rem;
    }
 
 }   